###################################################
### chunk number 4: plot1 eval=FALSE
###################################################
## par(mfrow=c(2,2))
## par(bg = "gray")
## pie.sales <- c(0.12, 0.3, 0.26, 0.16, 0.04, 0.12)
## names(pie.sales) <- c("Blueberry", "Cherry",
## "Apple", "Boston Cream", "Other", "Vanilla Cream")
## 
## pie(pie.sales, col = c("purple","violetred1","green3","cornsilk","cyan","white"))
## title(main = "January Pie Sales", cex.main = 1.8, font.main = 1)
## 
## par(bg="cornsilk")
## x <- rnorm(1000)
## hist(x, xlim=range(-4, 4, x), col="lavender", main="")
## title(main="1000 Normal Random Variates", font.main=3)
## 
## 
## x <- c(0.00, 0.40, 0.86, 0.85, 0.69, 0.48, 0.54, 1.09, 1.11, 1.73, 2.05, 2.02)
## par(bg="lightgray")
## plot(x, type="n", axes=FALSE, ann=FALSE)
## usr <- par("usr")
## rect(usr[1], usr[3], usr[2], usr[4], col="cornsilk", border="black")
## lines(x, col="blue")
## points(x, pch=21, bg="lightcyan", cex=1.25)
## axis(2, col.axis="blue", las=1)
## axis(1, at=1:12, lab=month.abb, col.axis="blue")
## box()
## title(main= "The Level of Interest in R", font.main=4, col.main="red")
## title(xlab= "1996", col.lab="red")
## 
## par(bg="cornsilk")
## n <- 10
## g <- gl(n, 100, n*100)
## x <- rnorm(n*100) + sqrt(as.numeric(g))
## boxplot(split(x,g), col="lavender", notch=TRUE)
## title(main="Notched Boxplots", xlab="Group", font.main=4, font.lab=1)


###################################################
### chunk number 5: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
par(mfrow=c(2,2))
par(bg = "gray")
pie.sales <- c(0.12, 0.3, 0.26, 0.16, 0.04, 0.12)
names(pie.sales) <- c("Blueberry", "Cherry",
"Apple", "Boston Cream", "Other", "Vanilla Cream")

pie(pie.sales, col = c("purple","violetred1","green3","cornsilk","cyan","white"))
title(main = "January Pie Sales", cex.main = 1.8, font.main = 1)

par(bg="cornsilk")
x <- rnorm(1000)
hist(x, xlim=range(-4, 4, x), col="lavender", main="")
title(main="1000 Normal Random Variates", font.main=3)


x <- c(0.00, 0.40, 0.86, 0.85, 0.69, 0.48, 0.54, 1.09, 1.11, 1.73, 2.05, 2.02)
par(bg="lightgray")
plot(x, type="n", axes=FALSE, ann=FALSE)
usr <- par("usr")
rect(usr[1], usr[3], usr[2], usr[4], col="cornsilk", border="black")
lines(x, col="blue")
points(x, pch=21, bg="lightcyan", cex=1.25)
axis(2, col.axis="blue", las=1)
axis(1, at=1:12, lab=month.abb, col.axis="blue")
box()
title(main= "The Level of Interest in R", font.main=4, col.main="red")
title(xlab= "1996", col.lab="red")

par(bg="cornsilk")
n <- 10
g <- gl(n, 100, n*100)
x <- rnorm(n*100) + sqrt(as.numeric(g))
boxplot(split(x,g), col="lavender", notch=TRUE)
title(main="Notched Boxplots", xlab="Group", font.main=4, font.lab=1)
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP3/", file, "}\n\n", sep="")


###################################################
### chunk number 6: 
###################################################
nrow(iris)
ncol(iris)
names(iris)


###################################################
### chunk number 7: 
###################################################
iris$Species[c(49,50,51,99,100,101)]


###################################################
### chunk number 8: 
###################################################
iris[c(2,4,6),c(1,5)]


###################################################
### chunk number 9: 
###################################################
iris[c(2,4,6),c('Sepal.Length','Species')]


###################################################
### chunk number 10: 
###################################################
v1<-c(18,19,18,17)
v2<-c(TRUE,FALSE,TRUE,FALSE)
v3<-factor(c("velo","velo","bus","velo"),levels=c("velo","bus"))
don<-data.frame(v1,v2,v3)
names(don)
names(don)<-c("age","fumeur","transport")
dim(don)


###################################################
### chunk number 11: 
###################################################
don2<-data.frame(18,FALSE,"velo")
names(don2)<-c("age","fumeur","transport")
ncol(don2)


###################################################
### chunk number 12: 
###################################################
don3<-rbind(don,don2)
don3


###################################################
### chunk number 13: 
###################################################
sexe<-factor(c("f","f","m","m","m"),levels=c("m","f"))
length(sexe)
don4<-cbind(don3,sexe)
don4


###################################################
### chunk number 14: 
###################################################
groupe.1<-read.csv2("data/bdd1.csv",header=TRUE)
groupe.2<-read.csv2("data/g2.csv",header=TRUE)
groupe.3<-read.csv2("data/g3.csv",header=TRUE)


###################################################
### chunk number 15: 
###################################################
names(groupe.1) <- c("numero","age","sexe","tabac","transport","gout.transport",
"temps.transport","nb.quanti","nb.quali")
names(groupe.2) <- c("numero","age","sexe","tabac","transport","gout.transport",
"temps.transport","nb.quanti","nb.quali")
names(groupe.3) <- c("numero","age","sexe","tabac","transport","gout.transport",
"temps.transport","nb.quanti","nb.quali")


###################################################
### chunk number 16: 
###################################################
groupe.1<-groupe.1[-c(24,25,26,27),]


###################################################
### chunk number 17: 
###################################################
ind.aber.1<-which(groupe.1$temps.transport==1.3)
groupe.1[ind.aber.1,'temps.transport']<-90
ind.aber.2<-which(groupe.1$temps.transport==0)
groupe.1[ind.aber.2,'temps.transport']<-1


###################################################
### chunk number 18: 
###################################################
str(groupe.1)


###################################################
### chunk number 19: 
###################################################
a<-factor(c("m","f","m",""))
a<-a[1:3]
levels(a)
a<-factor(as.character(a))
levels(a)


###################################################
### chunk number 20: 
###################################################
groupe.1$sexe<-factor(as.character(groupe.1$sexe))
groupe.1$tabac<-factor(as.character(groupe.1$tabac))
groupe.1$transport<-factor(as.character(groupe.1$transport))


###################################################
### chunk number 21: 
###################################################
levels(a)<-c("masc","fem")
a


###################################################
### chunk number 22: 
###################################################
levels(groupe.1$sexe)
levels(groupe.1$tabac)
levels(groupe.1$transport)


###################################################
### chunk number 23: 
###################################################
levels(groupe.2$sexe)<-levels(groupe.1$sexe)
levels(groupe.2$tabac)<-levels(groupe.1$tabac)
levels(groupe.2$transport)<-levels(groupe.1$transport)

levels(groupe.3$sexe)<-levels(groupe.1$sexe)
levels(groupe.3$tabac)<-levels(groupe.1$tabac)
levels(groupe.3$transport)<-levels(groupe.1$transport)


###################################################
### chunk number 24: 
###################################################
promo.09<-rbind(groupe.1,groupe.2,groupe.3)


###################################################
### chunk number 25: 
###################################################
promo.09$numero<-1:nrow(promo.09)


###################################################
### chunk number 26: 
###################################################
a<-factor(c('oui','non','non'))
a
a<-as.numeric(a)
a
a<-a-1
a<-as.logical(a)
a


###################################################
### chunk number 27: 
###################################################
promo.09$tabac<-as.logical(as.numeric(promo.09$tabac)-1)


###################################################
### chunk number 28: 
###################################################
str(promo.09)


