###################################################
### chunk number 4: 
###################################################
 groupe.1<-read.csv2("data/bdd1.csv",header=TRUE)
groupe.2<-read.csv2("data/g2.csv",header=TRUE)
groupe.3<-read.csv2("data/g3.csv",header=TRUE)

names(groupe.1) <- c("numero","age","sexe","tabac","transport","gout.transport",
"temps.transport","nb.quanti","nb.quali")
names(groupe.2) <- c("numero","age","sexe","tabac","transport","gout.transport",
"temps.transport","nb.quanti","nb.quali")
names(groupe.3) <- c("numero","age","sexe","tabac","transport","gout.transport",
"temps.transport","nb.quanti","nb.quali")

groupe.1<-groupe.1[-c(24,25,26,27),]

ind.aber.1<-which(groupe.1$temps.transport==1.3)
groupe.1[ind.aber.1,'temps.transport']<-90
ind.aber.2<-which(groupe.1$temps.transport==0)
groupe.1[ind.aber.2,'temps.transport']<-1

groupe.1$sexe<-factor(as.character(groupe.1$sexe))
groupe.1$tabac<-factor(as.character(groupe.1$tabac))
groupe.1$transport<-factor(as.character(groupe.1$transport))

levels(groupe.2$sexe)<-levels(groupe.1$sexe)
levels(groupe.2$tabac)<-levels(groupe.1$tabac)
levels(groupe.2$transport)<-levels(groupe.1$transport)

levels(groupe.3$sexe)<-levels(groupe.1$sexe)
levels(groupe.3$tabac)<-levels(groupe.1$tabac)
levels(groupe.3$transport)<-levels(groupe.1$transport)

promo.09<-rbind(groupe.1,groupe.2,groupe.3)

promo.09$numero<-1:nrow(promo.09)

promo.09$tabac<-as.logical(as.numeric(promo.09$tabac)-1)


###################################################
### chunk number 5: 
###################################################
res.tab<-table(iris$Species)
res.tab


###################################################
### chunk number 6: 
###################################################
n<-sum(res.tab)
n
eff.cum<-cumsum(res.tab)
eff.cum


###################################################
### chunk number 7: 
###################################################
res.tab/n
eff.cum/n


###################################################
### chunk number 8: 
###################################################
res.tab2<-rbind(res.tab,res.tab/n,eff.cum/n)
row.names(res.tab2) <- c("effectif","frquence","frquence cummule")
res.tab2


###################################################
### chunk number 9: 
###################################################
total<-apply(res.tab2[c(1,2),],1,sum)
total


###################################################
### chunk number 10: 
###################################################
total<-c(total,NA)
res.tab3<-cbind(res.tab2,total)
res.tab3


###################################################
### chunk number 11: 
###################################################
require(xtable)
matable <- xtable(x = res.tab3, caption = "Variable Espce du jeu de donnes Iris")
print(matable, file = "iris.tex")


###################################################
### chunk number 12:  eval=FALSE
###################################################
## n<-length(promo.09$age)
## table.age<-table(promo.09$age)
## res.age<-rbind(table.age,table.age/n,cumsum(table.age)/n)
## row.names(res.age) <- c("effectif","frquence","frquence cummule")
## total.age<-apply(res.age[c(1,2),],1,sum)
## total<-c(total.age,NA)
## res.age.2<-cbind(res.age,total)
## res.age.2


###################################################
### chunk number 13: plot2 eval=FALSE
###################################################
## pie(res.tab)


###################################################
### chunk number 14: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
pie(res.tab)
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP4/", file, "}\n\n", sep="")


###################################################
### chunk number 15: plot3 eval=FALSE
###################################################
## pie(res.tab,col=c(2,5,7),labels=paste(c("setosa :","versicolor :",
## "virginica :"),as.character(round(res.tab/n,2)),"%"),main="Rpartition des espces d'iris",
## xlab="Source : Fisher, R. A. (1936)")


###################################################
### chunk number 16: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
pie(res.tab,col=c(2,5,7),labels=paste(c("setosa :","versicolor :",
"virginica :"),as.character(round(res.tab/n,2)),"%"),main="Rpartition des espces d'iris",
xlab="Source : Fisher, R. A. (1936)")
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP4/", file, "}\n\n", sep="")


###################################################
### chunk number 17: 
###################################################
paste(c("setosa :","versicolor :","virginica :"), as.character(round(res.tab/n,2)),"%")


###################################################
### chunk number 18: 
###################################################
#pie(table(promo.09$transport),labels=c("autres","marche/vlo","transports publics","voiture/co-voiturage"),
#main="moyen de transport privilgi par la promo",col=c("yellow","white","blue","red"))


###################################################
### chunk number 19: plot4 eval=FALSE
###################################################
## barplot(res.tab)


###################################################
### chunk number 20: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
barplot(res.tab)
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP4/", file, "}\n\n", sep="")


###################################################
### chunk number 21: plot5 eval=FALSE
###################################################
## barplot(res.tab/n,horiz=TRUE,xlab='Frquence',ylab='modalits observes',
## col=colors()[100:102],names.arg=c("espce 1","espce 2","espce 3"),
## main='Rpartition des espces d\'iris')


###################################################
### chunk number 22: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
barplot(res.tab/n,horiz=TRUE,xlab='Frquence',ylab='modalits observes',
col=colors()[100:102],names.arg=c("espce 1","espce 2","espce 3"),
main='Rpartition des espces d\'iris')
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP4/", file, "}\n\n", sep="")


###################################################
### chunk number 23: 
###################################################
barplot(table(promo.09$gout.transport),names.arg=c("pas du tout","moyen","beaucoup"),
xlab='modalits observes',main='Gout pour les transports en commun',col=c('purple',
'royalblue','pink'))


###################################################
### chunk number 24: plot3b eval=FALSE
###################################################
## plot(table(groupe.1$age),main="")


###################################################
### chunk number 25: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
plot(table(groupe.1$age),main="")
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP4/", file, "}\n\n", sep="")


###################################################
### chunk number 26: 
###################################################
#plot(table(promo.09$age),col='royalblue',xlab="age",ylab="frquences absolues",
#main="Diagramme en barre")


###################################################
### chunk number 27: plot5 eval=FALSE
###################################################
## res.ecdf <- ecdf(promo.09$age)
## plot(res.ecdf,main='Fonction de rpartition empirique de la variable age',
## col='royalblue')
## abline(h=0.5)


###################################################
### chunk number 28: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
res.ecdf <- ecdf(promo.09$age)
plot(res.ecdf,main='Fonction de rpartition empirique de la variable age',
col='royalblue')
abline(h=0.5)
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP4/", file, "}\n\n", sep="")


###################################################
### chunk number 29: 
###################################################
res.ecdf2<-ecdf(c(16,17,18,19,20,21,22,23,24,25))
plot(res.ecdf2)


###################################################
### chunk number 30: plot6
###################################################
hist.sepal.length<-hist(iris$Sepal.Length)


###################################################
### chunk number 31: 
###################################################
hist.sepal.length


###################################################
### chunk number 32: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
hist.sepal.length<-hist(iris$Sepal.Length)
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP4/", file, "}\n\n", sep="")


###################################################
### chunk number 33: plot7 eval=FALSE
###################################################
## hist(iris$Sepal.Length,freq=FALSE,col='royalblue',xlab='Taille du spale',
## ylab='densit de proportion',main='')


###################################################
### chunk number 34: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
hist(iris$Sepal.Length,freq=FALSE,col='royalblue',xlab='Taille du spale',
ylab='densit de proportion',main='')
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP4/", file, "}\n\n", sep="")


###################################################
### chunk number 35: 
###################################################
hist(promo.09$temps.transport,col='royalblue',main='',xlab='Temps mis par les tudiants')


###################################################
### chunk number 36: 
###################################################
a<-c(10,11,11.5,12,13,15,15.5,16,16,17)
min(a)
median(a)
mean(a)
quantile(a,type=1)
quantile(a,type=4)
max(a)
range(a)


###################################################
### chunk number 37: plot8 eval=FALSE
###################################################
## boxplot(iris$Sepal.Length,ylab="Taille du spale",col='purple',ylim=c(3,9))
## res.quantile<-quantile(iris$Sepal.Length)
## min.x<-res.quantile[1]
## Q1<-res.quantile[2]
## Q2<-res.quantile[3]
## Q3<-res.quantile[4]
## max.x<-res.quantile[5]
## text(0.67,c(Q1,Q2,Q3),c("Quartile Q1","Mdiane","Quartile Q3"),cex=0.9,col='royalblue')
## text(1.33,c(min.x,max.x),c("Max(Q1-1.5(Q3-Q1) , min(x))","Min(Q3+1.5(Q3-Q1), max(x))"),cex=0.9,col='royalblue')
## points(c(1,1),c(Q1-1.5*(Q3-Q1),Q3+1.5*(Q3-Q1)),pch=c(2,6),col='red')
## text(1,c(Q1-1.5*(Q3-Q1),Q3+1.5*(Q3-Q1))+0.2,c("Q1-1.5(Q3-Q1)","Q3+1.5(Q3-Q1)"),col='red',cex=0.8)


###################################################
### chunk number 38: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
boxplot(iris$Sepal.Length,ylab="Taille du spale",col='purple',ylim=c(3,9))
res.quantile<-quantile(iris$Sepal.Length)
min.x<-res.quantile[1]
Q1<-res.quantile[2]
Q2<-res.quantile[3]
Q3<-res.quantile[4]
max.x<-res.quantile[5]
text(0.67,c(Q1,Q2,Q3),c("Quartile Q1","Mdiane","Quartile Q3"),cex=0.9,col='royalblue')
text(1.33,c(min.x,max.x),c("Max(Q1-1.5(Q3-Q1) , min(x))","Min(Q3+1.5(Q3-Q1), max(x))"),cex=0.9,col='royalblue')
points(c(1,1),c(Q1-1.5*(Q3-Q1),Q3+1.5*(Q3-Q1)),pch=c(2,6),col='red')
text(1,c(Q1-1.5*(Q3-Q1),Q3+1.5*(Q3-Q1))+0.2,c("Q1-1.5(Q3-Q1)","Q3+1.5(Q3-Q1)"),col='red',cex=0.8)
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP4/", file, "}\n\n", sep="")


###################################################
### chunk number 39: 
###################################################
boxplot(promo.09$temps.transport)
res.quantile<-quantile(promo.09$temps.transport)
min.x<-res.quantile[1]
Q1<-res.quantile[2]
Q2<-res.quantile[3]
Q3<-res.quantile[4]
max.x<-res.quantile[5]
text(0.67,c(Q1,Q2,Q3),c("Quartile Q1","Mdiane","Quartile Q3"),cex=0.9,col='royalblue')
text(1.33,c(min.x,max.x),c("Max(Q1-1.5(Q3-Q1) , min(x))","Min(Q3+1.5(Q3-Q1), max(x))"),cex=0.9,col='royalblue')
points(c(1,1),c(Q1-1.5*(Q3-Q1),Q3+1.5*(Q3-Q1)),pch=c(2,6),col='red')
text(1,c(Q1-1.5*(Q3-Q1),Q3+1.5*(Q3-Q1))+0.2,c("Q1-1.5(Q3-Q1)","Q3+1.5(Q3-Q1)"),col='red',cex=0.8)


