
###################################################
### chunk number 4: 
###################################################
groupe.1<-read.csv2("data\\bdd1.csv",header=TRUE)
groupe.2<-read.csv2("data\\g2.csv",header=TRUE)
groupe.3<-read.csv2("data\\g3.csv",header=TRUE)

names(groupe.1) <- c("numero","age","sexe","tabac","transport","gout.transport",
"temps.transport","nb.quanti","nb.quali")
names(groupe.2) <- c("numero","age","sexe","tabac","transport","gout.transport",
"temps.transport","nb.quanti","nb.quali")
names(groupe.3) <- c("numero","age","sexe","tabac","transport","gout.transport",
"temps.transport","nb.quanti","nb.quali")

groupe.1<-groupe.1[-c(24,25,26,27),]

ind.aber.1<-which(groupe.1$temps.transport==1.3)
groupe.1[ind.aber.1,'temps.transport']<-90
ind.aber.2<-which(groupe.1$temps.transport==0)
groupe.1[ind.aber.2,'temps.transport']<-1

groupe.1$sexe<-factor(as.character(groupe.1$sexe))
groupe.1$tabac<-factor(as.character(groupe.1$tabac))
groupe.1$transport<-factor(as.character(groupe.1$transport))

levels(groupe.2$sexe)<-levels(groupe.1$sexe)
levels(groupe.2$tabac)<-levels(groupe.1$tabac)
levels(groupe.2$transport)<-levels(groupe.1$transport)

levels(groupe.3$sexe)<-levels(groupe.1$sexe)
levels(groupe.3$tabac)<-levels(groupe.1$tabac)
levels(groupe.3$transport)<-levels(groupe.1$transport)

promo.09<-rbind(groupe.1,groupe.2,groupe.3)

promo.09$numero<-1:nrow(promo.09)


###################################################
### chunk number 5: plot1 eval=FALSE
###################################################
## plot(iris$Sepal.Length,iris$Petal.Width,
## xlab="taille du spale",ylab="taille du ptale")
## title(main="Nuage de points")


###################################################
### chunk number 6: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
plot(iris$Sepal.Length,iris$Petal.Width,
xlab="taille du spale",ylab="taille du ptale")
title(main="Nuage de points")
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP5/", file, "}\n\n", sep="")


###################################################
### chunk number 7: plot2 eval=FALSE
###################################################
## plot(iris$Sepal.Length,iris$Petal.Width,
## xlab="taille du spale",ylab="taille du ptale",col='darkblue')
## title(main="Nuage de points")
## rug(jitter(iris$Sepal.Length,0.75),side=1,col='royalblue')
## rug(jitter(iris$Petal.Width,0.8),side=2,col='royalblue')


###################################################
### chunk number 8: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
plot(iris$Sepal.Length,iris$Petal.Width,
xlab="taille du spale",ylab="taille du ptale",col='darkblue')
title(main="Nuage de points")
rug(jitter(iris$Sepal.Length,0.75),side=1,col='royalblue')
rug(jitter(iris$Petal.Width,0.8),side=2,col='royalblue')
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP5/", file, "}\n\n", sep="")


###################################################
### chunk number 9: plot3 eval=FALSE
###################################################
## op <- par()
## layout(matrix( c(2,1,0,3), 2, 2, byrow=T ),
##         c(1,6), c(4,1))
## 
## par(mar=c(1,1,5,2))
## 
## plot(iris$Sepal.Length,iris$Petal.Width,
## xlab="taille du spale",ylab="taille du ptale",col='darkblue')
## abline(a=-3.2,b=0.75,col='red',lty=2)
## title(main="Nuage de points")
## legend("topleft",legend="droite de rgression linaire",col='red',lty=2)
## rug(jitter(iris$Sepal.Length,0.75),side=1,col='royalblue')
## rug(jitter(iris$Petal.Width,0.8),side=2,col='royalblue')
## 
## par(mar=c(1,2,5,1))
## boxplot(iris$Sepal.Length, axes=F,col='lightblue')
## title(ylab='Taille des spales', line=0)
## 
## par(mar=c(5,1,1,2))
## boxplot(iris$Petal.Width, horizontal=T, axes=F,col='lightblue')
## title(xlab='Taille des ptales', line=1)
## 
## par(op)


###################################################
### chunk number 10: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
op <- par()
layout(matrix( c(2,1,0,3), 2, 2, byrow=T ),
        c(1,6), c(4,1))

par(mar=c(1,1,5,2))

plot(iris$Sepal.Length,iris$Petal.Width,
xlab="taille du spale",ylab="taille du ptale",col='darkblue')
abline(a=-3.2,b=0.75,col='red',lty=2)
title(main="Nuage de points")
legend("topleft",legend="droite de rgression linaire",col='red',lty=2)
rug(jitter(iris$Sepal.Length,0.75),side=1,col='royalblue')
rug(jitter(iris$Petal.Width,0.8),side=2,col='royalblue')

par(mar=c(1,2,5,1))
boxplot(iris$Sepal.Length, axes=F,col='lightblue')
title(ylab='Taille des spales', line=0)

par(mar=c(5,1,1,2))
boxplot(iris$Petal.Width, horizontal=T, axes=F,col='lightblue')
title(xlab='Taille des ptales', line=1)

par(op)
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP5/", file, "}\n\n", sep="")


###################################################
### chunk number 11: 
###################################################
n<-nrow(promo.09)
erreur<-rnorm(n,0,5)
promo.09$cout.transport<-1.5*promo.09$temps.transport+erreur

#var(promo.09$cout.transport)
#1.5^2*var(promo.09$temps.transport)+var(erreur)+2*1.5*cov(promo.09$temps.transport,erreur)


###################################################
### chunk number 12: 
###################################################
#op <- par()
#layout(matrix( c(2,1,0,3), 2, 2, byrow=T ),
#        c(1,6), c(4,1))

#par(mar=c(1,1,5,2))

#plot(promo.09$temps.transport,promo.09$cout.transport,
#xlab="temps transport",ylab="cot transport",col='darkblue')
#title(main="Nuage de points")
#rug(jitter(promo.09$temps.transport,0.75),side=1,col='royalblue')
#rug(jitter(promo.09$cout.transport,0.8),side=2,col='royalblue')

#par(mar=c(1,2,5,1))
#boxplot(promo.09$cout.transport, axes=F,col='lightblue')
#title(ylab='cot transport', line=0)

#par(mar=c(5,1,1,2))
#boxplot(promo.09$temps.transport, horizontal=T, axes=F,col='lightblue')
#title(xlab="temps transport", line=1)

#par(op)


###################################################
### chunk number 13:  eval=FALSE
###################################################
## x<-seq(0.05,1,0.05)
## y<-1/4*x^4-x^3/6-5*x^2/36+x/9
## cor(x,y)
## plot(x,y)


###################################################
### chunk number 14:  eval=FALSE
###################################################
## a<-cov(promo.09$temps.transport,promo.09$cout.transport)/var(promo.09$temps.transport)
## b<-mean(promo.09$cout.transport)-a*mean(promo.09$temps.transport)
## plot(promo.09$temps.transport,promo.09$cout.transport,
## xlab="temps transport",ylab="cot transport",col='darkblue')
## title(main="Nuage de points")
## rug(jitter(promo.09$temps.transport,0.75),side=1,col='royalblue')
## rug(jitter(promo.09$cout.transport,0.8),side=2,col='royalblue')
## abline(b,a,col='red')


###################################################
### chunk number 15: 
###################################################
tab.bi<-table(promo.09$sexe,promo.09$tabac,dnn=c("sexe","tabac"))
dimnames(tab.bi)[[1]]<-c("feminin","masculin")
dimnames(tab.bi)[[2]]<-c("non fumeur","fumeur")
addmargins(tab.bi)


###################################################
### chunk number 16: 
###################################################
require(xtable)
tab.bi.2<-addmargins(tab.bi)
dimnames(tab.bi.2)$sexe[3]<-"Total"
dimnames(tab.bi.2)$tabac[3]<-"Total"
matable <- xtable(x = tab.bi.2, dnn=c('a','b'),caption = "Table de contingence")
print(matable, file = "tablecont.tex")


###################################################
### chunk number 17:  eval=FALSE
###################################################
## #tab.bi<-table(promo.09$transport,promo.09$gout.transport)
## #row.names(tab.bi)<-c("autres","velo-pied","bus-metro-velib","voiture")
## #dimnames(tab.bi)[[2]]<-c("un peu","normal","beaucoup")
## #addmargins(tab.bi)


###################################################
### chunk number 18: 
###################################################
profil.ligne=round(sweep(addmargins(tab.bi, 2, list(All = sum)), 1,
apply(tab.bi, 1, sum)/100, "/"), 1)
profil.ligne


###################################################
### chunk number 19: 
###################################################
profil.colonne<-round(sweep(addmargins(tab.bi, 1, list(All = sum)), 2,
apply(tab.bi, 2, sum)/100, "/"), 1)
profil.colonne


###################################################
### chunk number 20: plot5 eval=FALSE
###################################################
## plot(tab.bi,main="Distibution jointe",color=TRUE)


###################################################
### chunk number 21: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
plot(tab.bi,main="Distibution jointe",color=TRUE)
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP5/", file, "}\n\n", sep="")


###################################################
### chunk number 22: plot6 eval=FALSE
###################################################
## barplot(tab.bi,legend.text = c("feminin","masculin"),col=c("pink","lightblue"))
## title(main="Rpartition du sexe en fonction des fumeurs")


###################################################
### chunk number 23: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
barplot(tab.bi,legend.text = c("feminin","masculin"),col=c("pink","lightblue"))
title(main="Rpartition du sexe en fonction des fumeurs")
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP5/", file, "}\n\n", sep="")


###################################################
### chunk number 24: plot7 eval=FALSE
###################################################
## barplot(t(tab.bi),legend.text = c("non fumeur","fumeur"),col=c("white","grey"),beside=TRUE)
## title(main="Rpartition des fumeurs en fonction du sexe")


###################################################
### chunk number 25: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
barplot(t(tab.bi),legend.text = c("non fumeur","fumeur"),col=c("white","grey"),beside=TRUE)
title(main="Rpartition des fumeurs en fonction du sexe")
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP5/", file, "}\n\n", sep="")


###################################################
### chunk number 26:  eval=FALSE
###################################################
## tab.bi<-table(promo.09$transport,promo.09$gout.transport)
## row.names(tab.bi)<-c("autres","velo-pied","bus-metro-velib","voiture")
## dimnames(tab.bi)[[2]]<-c("un peu","normal","beaucoup")
## addmargins(tab.bi)
## barplot(tab.bi,legend.text = c("feminin","masculin"),col=c("pink","lightblue"))
## title(main="Rpartition du sexe en fonction des fumeurs")


###################################################
### chunk number 27: plot8 eval=FALSE
###################################################
## barplot(t(profil.ligne[,c(1,2)]),legend.text = c("non fumeur","fumeur"),col=c("royalblue","purple"))
## title(main="Distribution conditionnelle du tabac en fonction du sexe")


###################################################
### chunk number 28: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
barplot(t(profil.ligne[,c(1,2)]),legend.text = c("non fumeur","fumeur"),col=c("royalblue","purple"))
title(main="Distribution conditionnelle du tabac en fonction du sexe")
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP5/", file, "}\n\n", sep="")


###################################################
### chunk number 29: plot9 eval=FALSE
###################################################
## barplot(profil.colonne[c(1,2),],legend.text = c("feminin","masculin"),col=c("pink","lightblue"))
## title(main="Rpartition du sexe en fonction des fumeurs")


###################################################
### chunk number 30: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
barplot(profil.colonne[c(1,2),],legend.text = c("feminin","masculin"),col=c("pink","lightblue"))
title(main="Rpartition du sexe en fonction des fumeurs")
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP5/", file, "}\n\n", sep="")


###################################################
### chunk number 31: 
###################################################
b<-chisq.test(tab.bi,correct=FALSE)
b


###################################################
### chunk number 32: 
###################################################
b$observed
b$expected
(b$observed-b$expected)^2/b$expected


###################################################
### chunk number 33: plot10 eval=FALSE
###################################################
## boxplot(Petal.Length~Species,data=iris, varwidth=TRUE, names = c("espce setosa","espce versicolor",
## "espce virginica"), col=c("purple","pink","lightblue"))
## title(main="Bote  moustache parallle")


###################################################
### chunk number 34: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
boxplot(Petal.Length~Species,data=iris, varwidth=TRUE, names = c("espce setosa","espce versicolor",
"espce virginica"), col=c("purple","pink","lightblue"))
title(main="Bote  moustache parallle")
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP5/", file, "}\n\n", sep="")


###################################################
### chunk number 35: 
###################################################
n<-length(iris$Petal.Length)
ybar<-mean(iris$Petal.Length)
yvar<-var(iris$Petal.Length)
ybar.i<-by(iris$Petal.Length,iris$Species,mean)
y.ni<-by(iris$Petal.Length,iris$Species,length)


###################################################
### chunk number 36: 
###################################################
e<- sum(y.ni*(ybar.i-ybar)^2)/n/yvar
e


###################################################
### chunk number 37: plot11 eval=FALSE
###################################################
## library(MASS)
## ldahist(iris$Petal.Length,iris$Species)


###################################################
### chunk number 38: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
library(MASS)
ldahist(iris$Petal.Length,iris$Species)
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP5/", file, "}\n\n", sep="")


###################################################
### chunk number 39: plot12 eval=FALSE
###################################################
## plot(iris$Petal.Length,iris$Sepal.Length, col=as.integer(iris$Species),
## pch=as.integer(iris$Species),xlab='Taille du ptale',ylab='Taille du spale')
## legend("topleft",legend=c("Espce 1","Espce 2","Espce 3"),col=c(1,2,3),
## pch=1:3)


###################################################
### chunk number 40: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
plot(iris$Petal.Length,iris$Sepal.Length, col=as.integer(iris$Species),
pch=as.integer(iris$Species),xlab='Taille du ptale',ylab='Taille du spale')
legend("topleft",legend=c("Espce 1","Espce 2","Espce 3"),col=c(1,2,3),
pch=1:3)
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP5/", file, "}\n\n", sep="")


###################################################
### chunk number 41: plot13 eval=FALSE
###################################################
## library(lattice)
## xyplot(Sepal.Length ~ Petal.Length | Species,data = iris)


###################################################
### chunk number 42: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
library(lattice)
xyplot(Sepal.Length ~ Petal.Length | Species,data = iris)
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP5/", file, "}\n\n", sep="")


###################################################
### chunk number 43: plot13 eval=FALSE
###################################################
## pairs(iris[1:4],col=as.integer(iris$Species))


###################################################
### chunk number 44: 
###################################################
.PngNo <- .PngNo + 1; file <- paste("Fig-bitmap-", .PngNo, ".pdf", sep="")
pdf(file=file, width = 7, height = 7, pointsize = 12, bg = "white")
pairs(iris[1:4],col=as.integer(iris$Species))
dev.null <- dev.off()
cat("\\includegraphics[width=0.65\\textwidth]{TP5/", file, "}\n\n", sep="")


